Package com.independentsoft.office.word.math

# Class Delimiter

java.lang.Object
com.independentsoft.office.word.math.Delimiter

All Implemented Interfaces:
  `IContentElement`, `IRunTrackChangeContent`, `IMathElement`, `IMathMathElement`

public class Delimiter extends Object implements IMathMathElement
The Class Delimiter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Delimiter()`
  Instantiates a new delimiter.
  `Delimiter​(InternalXMLStreamReader reader)`
  Instantiates a new delimiter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Delimiter`
  `clone()`
  `char`
  `getBeginningCharacter()`
  Gets the beginning character.
  `List<IContentElement>`
  `getContentElements()`
  `ControlProperties`
  `getControlProperties()`
  Gets the control properties.
  `char`
  `getEndingCharacter()`
  Gets the ending character.
  `ExtendedBoolean`
  `getGrow()`
  Gets the grow.
  `char`
  `getSeparatorCharacter()`
  Gets the separator character.
  `DelimiterShape`
  `getShape()`
  Gets the shape.
  `void`
  `setBeginningCharacter​(char beginningCharacter)`
  Sets the beginning character.
  `void`
  `setEndingCharacter​(char endingCharacter)`
  Sets the ending character.
  `void`
  `setGrow​(ExtendedBoolean grow)`
  Sets the grow.
  `void`
  `setSeparatorCharacter​(char separatorCharacter)`
  Sets the separator character.
  `void`
  `setShape​(DelimiterShape shape)`
  Sets the shape.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Delimiter

    public Delimiter()
    Instantiates a new delimiter.

  - ### Delimiter

    public Delimiter​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new delimiter.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Delimiter clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IMathMathElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBeginningCharacter

    public char getBeginningCharacter()
    Gets the beginning character.
    Returns:
      the beginning character

  - ### setBeginningCharacter

    public void setBeginningCharacter​(char beginningCharacter)
    Sets the beginning character.
    Parameters:
      `beginningCharacter` - the new beginning character

  - ### getSeparatorCharacter

    public char getSeparatorCharacter()
    Gets the separator character.
    Returns:
      the separator character

  - ### setSeparatorCharacter

    public void setSeparatorCharacter​(char separatorCharacter)
    Sets the separator character.
    Parameters:
      `separatorCharacter` - the new separator character

  - ### getEndingCharacter

    public char getEndingCharacter()
    Gets the ending character.
    Returns:
      the ending character

  - ### setEndingCharacter

    public void setEndingCharacter​(char endingCharacter)
    Sets the ending character.
    Parameters:
      `endingCharacter` - the new ending character

  - ### getShape

    public DelimiterShape getShape()
    Gets the shape.
    Returns:
      the shape

  - ### setShape

    public void setShape​(DelimiterShape shape)
    Sets the shape.
    Parameters:
      `shape` - the new shape

  - ### getGrow

    public ExtendedBoolean getGrow()
    Gets the grow.
    Returns:
      the grow

  - ### setGrow

    public void setGrow​(ExtendedBoolean grow)
    Sets the grow.
    Parameters:
      `grow` - the new grow

  - ### getControlProperties

    public ControlProperties getControlProperties()
    Gets the control properties.
    Returns:
      the control properties